如果是安装的OpenJDK,很遗憾它是没有libnpjp2.so的。

  此时按照网上各种奇怪的方法都挣扎无效,但可以用icedtea插件来解决这个问题。

  icedtea的版本与本机安装的OpenJDK版本有关,一般default-java-plugin会自动选中:

1 sudo apt-get install default-java-plugin

 

  显示如下信息(截取部分):

The following NEW packages will be installed:
  default-java-plugin icedtea-8-plugin icedtea-netx icedtea-netx-common

 

  如果icedtea未被选中,则需要手动选择安装,或apt-get
update一下。

  确定安装完成后,再用Firefox等打开带有Java插件调用的网页,会调用icedtea插件。如:http://www.java.com/en/download/installed8.jsp,点击“Verify
Java
version”后,Firefox会提示允许加载icedtea插件,允许后显示icedtea的界面,再次允许操作后即在网页上显示出已安装的Java(OpenJRE)的版本。

 

图片 1

验证Java版本页面

 

图片 2

调用Applet时会显示IcedTea
Logo,

这里浏览器会提示允许IcedTea插件运行

 

图片 3

Applet授权界面

 

图片 4

验证成功,版本号为主机当前安装OpenJRE的版本号

 

Referrence:

  Java –
Community Help Wiki

 

 

本文基于图片 5知识共享署名-非商业性使用-相同方式共享
4.0
国际许可协议
发布,欢迎引用、转载或演绎,但是必须保留本文的署名BlackStorm以及本文链接http://www.cnblogs.com/BlackStorm/p/5480761.html,且未经许可不能用于商业目的。如有疑问或授权协商请与我联系

 

相关文章